Bug 1128333 - [abrt] xorg-x11-server-Xorg: present_set_tree_pixmap(): Xorg.bin killed by SIGSEGV
Summary: [abrt] xorg-x11-server-Xorg: present_set_tree_pixmap(): Xorg.bin killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eeb7d02de7bcde3d880c5082557...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 07:00 UTC by lejeczek
Modified: 2016-07-19 12:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:00:02 UTC


Attachments (Terms of Use)
File: backtrace (25.54 KB, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: cgroup (186 bytes, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: core_backtrace (6.49 KB, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: dso_list (5.17 KB, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: environ (97 bytes, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: maps (56.68 KB, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: open_fds (45 bytes, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: proc_pid_status (906 bytes, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details
File: var_log_messages (2.56 KB, text/plain)
2014-08-09 07:00 UTC, lejeczek
no flags Details

Description lejeczek 2014-08-09 07:00:33 UTC
Description of problem:
I think when I tried gnome on Wayland?

Version-Release number of selected component:
xorg-x11-server-Xorg-1.16.0-2.fc22

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg.bin :0 -background none -noreset -verbose 3 -logfile /dev/null -auth /run/gdm/auth-for-gdm-R5TBtQ/database -seat seat0 -nolisten tcp vt1
crash_function: present_set_tree_pixmap
executable:     /usr/libexec/Xorg.bin
kernel:         3.16.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 present_set_tree_pixmap
 #1 present_unflip
 #2 present_event_notify
 #3 present_flip_handler at /usr/lib64/xorg/modules/drivers/intel_drv.so
 #4 sna_mode_wakeup at /usr/lib64/xorg/modules/drivers/intel_drv.so
 #5 sna_mode_reset at /usr/lib64/xorg/modules/drivers/intel_drv.so
 #6 sna_leave_vt at /usr/lib64/xorg/modules/drivers/intel_drv.so
 #7 AbortDDX
 #8 AbortServer
 #9 FatalError

Comment 1 lejeczek 2014-08-09 07:00:36 UTC
Created attachment 925340 [details]
File: backtrace

Comment 2 lejeczek 2014-08-09 07:00:37 UTC
Created attachment 925341 [details]
File: cgroup

Comment 3 lejeczek 2014-08-09 07:00:38 UTC
Created attachment 925342 [details]
File: core_backtrace

Comment 4 lejeczek 2014-08-09 07:00:39 UTC
Created attachment 925343 [details]
File: dso_list

Comment 5 lejeczek 2014-08-09 07:00:40 UTC
Created attachment 925344 [details]
File: environ

Comment 6 lejeczek 2014-08-09 07:00:42 UTC
Created attachment 925345 [details]
File: exploitable

Comment 7 lejeczek 2014-08-09 07:00:43 UTC
Created attachment 925346 [details]
File: limits

Comment 8 lejeczek 2014-08-09 07:00:44 UTC
Created attachment 925347 [details]
File: maps

Comment 9 lejeczek 2014-08-09 07:00:45 UTC
Created attachment 925348 [details]
File: open_fds

Comment 10 lejeczek 2014-08-09 07:00:46 UTC
Created attachment 925349 [details]
File: proc_pid_status

Comment 11 lejeczek 2014-08-09 07:00:47 UTC
Created attachment 925350 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 16:11:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora End Of Life 2016-07-19 12:00:02 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.